{"openapi":"3.1.0","info":{"title":"Customer Info API","description":"An API for checking basic access to services for users/customers"},"servers":[{"url":"https://api.bring.com/customer-info"}],"paths":{"/customers":{"get":{"tags":["customer-to-product-mapping-controller"],"summary":"List customer numbers and services","operationId":"getCustomerProductMappings","parameters":[{"name":"X-MyBring-API-Uid","in":"header","required":true,"schema":{"type":"string"}},{"name":"X-MyBring-API-Key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtoCustomerToProductMapping"},"examples":{"Customer Response":{"$ref":"#/components/examples/customerResponse"}}}}}}}}},"components":{"schemas":{"DtoCustomerToProductMapping":{"type":"object","properties":{"customers":{"type":"array","items":{"$ref":"#/components/schemas/DtoCustomerWithProducts"},"xml":{"wrapped":true}}},"required":["customers"],"xml":{"name":"customersResponse"}},"DtoCustomerWithProducts":{"type":"object","properties":{"name":{"type":"string"},"customerNumber":{"type":"string"},"countryCode":{"type":"string"},"products":{"type":"array","items":{"type":"string","xml":{"name":"product"}},"xml":{"wrapped":true}}},"required":["countryCode","customerNumber","name","products"]}},"examples":{"customerResponse":{"value":{"customers":[{"name":"Demo customer (00000000005)","customerNumber":"5","countryCode":"NO","products":["3570","3584","4850","5000","5600","5800","9000","9300","9600","BUSINESS_HALFPALLET","BUSINESS_PALLET","BUSINESS_PARCEL","BUSINESS_PARCEL_BULK","BUSINESS_QUARTERPALLET","EXPRESS_NORDIC_0900","HOME_DELIVERY_PARCEL","PICKUP_PARCEL","PICKUP_PARCEL_BULK","0344"]},{"name":"Demo customer (00000000006)","customerNumber":"6","countryCode":"SE","products":["BUSINESS_HALFPALLET","BUSINESS_PALLET","BUSINESS_PARCEL","BUSINESS_PARCEL_BULK","BUSINESS_QUARTERPALLET","EXPRESS_NORDIC_0900","HOME_DELIVERY_PARCEL","PICKUP_PARCEL","PICKUP_PARCEL_BULK","0344"]}]}}}}}